libzypp 17.37.10

zypp::media::AttachedMedia Struct Reference

A simple structure containing references to a media source and its attach point. More...

`#include <zypp/media/MediaSource.h>`

## Public Member Functions
| AttachedMedia ()
| AttachedMedia (MediaSourceRef _mediaSource, AttachPointRef _attachPoint)

## Public Attributes
MediaSourceRef | mediaSource
AttachPointRef | attachPoint

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const AttachedMedia &obj)
| Stream output.

## Detailed Description

A simple structure containing references to a media source and its attach point.

Definition at line 134 of file MediaSource.h.

## Constructor & Destructor Documentation

## ◆ AttachedMedia() [1/2]

zypp::media::AttachedMedia::AttachedMedia | ( |  | ) |
| inline

Definition at line 136 of file MediaSource.h.

## ◆ AttachedMedia() [2/2]

zypp::media::AttachedMedia::AttachedMedia | ( | MediaSourceRef | _mediaSource,
|  | AttachPointRef | _attachPoint )
| inline

Definition at line 139 of file MediaSource.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const AttachedMedia & | obj )
| related

Stream output.

Definition at line 23 of file MediaSource.cc.

## Member Data Documentation

## ◆ mediaSource

MediaSourceRef zypp::media::AttachedMedia::mediaSource

Definition at line 145 of file MediaSource.h.

## ◆ attachPoint

AttachPointRef zypp::media::AttachedMedia::attachPoint

Definition at line 146 of file MediaSource.h.

The documentation for this struct was generated from the following file:

- zypp/media/MediaSource.h